Subject: Secdir last call review of draft-ietf-idr-bgp-extended-messages-35

From: Rich Salz via Datatracker <[email-masked]>
Date: Fri, 02 Aug 2019 13:19:18 -0700

Reviewer: Rich Salz
Review result: Ready

This is the secdir review, intended for the security AD's.  Others should treat
this as normal last-call comments.

This describes a BGP extension code to increase the size of BGP messages. It
nicely explains deployment issues (if a BGP node doesn't understand the
extension), and security issues.

The extension is disallowed for two operations, although only one has a
rationale; it was left to reader to intuit that KEEPALIVE doesn't need the
longer size. I suggest making that explicit.  That is a nit.

Looks good; ship it.